This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 765231 (GLUSTER-3499)

Summary: volume set fails to remove ip-address from allow list when you reject the same.
Product: [Community] GlusterFS Reporter: Vijaykumar <vijaykumar>
Component: glusterdAssignee: kaushik <kbudiger>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: mainlineCC: gluster-bugs, vijay
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vijaykumar 2011-08-31 06:10:28 EDT
root@openstack2:~# gluster volume set vol nfs.rpc-auth-allow 192.168.1.91
Set volume successful
root@openstack2:~# gluster volume set vol nfs.rpc-auth-reject 192.168.1.91
Set volume successful
root@openstack2:~# gluster volume info vol
 
Volume Name: vol
Type: Distribute
Status: Started
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: openstack2:/home/gluster/bricks/vol/v1
Options Reconfigured:
nfs.rpc-auth-reject: 192.168.1.91
nfs.rpc-auth-allow: 192.168.1.91
features.quota-timeout: 12
Comment 1 kaushik 2011-09-19 01:41:50 EDT
The volume set of one option(auth.allow in this case) should not depend on the value of other options. If there are any conflicts with the meaning of the options, there should be a precedence of which option would preside over the other. In this case the desired behavior of brick servers(or nfs-server) is to accept the client connection only if it does not match any of reject predicates and has a match in one of the accept predicates.